# $Revision: 1.50 $, $Date: 2012/02/20 11:11:49 $
#
# Conditional build:
%bcond_without	images	# don't build images package
#
%define		sndver	1.60.0
%define		imgver	1.60.0
Summary:	Crossfire client
Summary(pl.UTF-8):	Klient Crossfire
Name:		crossfire-client
Version:	1.60.0
Release:	2
License:	GPL
Group:		Applications/Games
Source0:	http://downloads.sourceforge.net/crossfire/%{name}-%{version}.tar.gz
# Source0-md5:	7b22bf93ebb581a5bfd5682df107af76
Source1:	http://downloads.sourceforge.net/crossfire/%{name}-sounds-%{sndver}.tar.gz
# Source1-md5:	1985fc187a7624f48a4c4e9d609208ba
Source2:	http://downloads.sourceforge.net/crossfire/%{name}-images-%{imgver}.tar.gz
# Source2-md5:	e68b6f32c4d15e65af8535a346efe51a
Patch0:		%{name}-libpng15.patch
URL:		http://crossfire.real-time.com/
BuildRequires:	OpenGL-glut-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
Suggests:	crossfire-client-images
Suggests:	crossfire-client-sounds
Obsoletes:	crossfire-client-common
Obsoletes:	crossfire-client-gtk
Obsoletes:	crossfire-client-gtk2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK+2 client to crossfire.

Crossfire is a multiplayer graphical arcade and adventure game made
for the X-Window environment. There are also Windows and Java clients
available.

It has certain flavours from other games, especially Gauntlet (TM) and
Nethack/Moria.

Any number of players can move around in their own window, finding and
sing items and battle monsters. They can choose to cooperate or
compete in the same "world".

%description -l pl.UTF-8
Klient Crossfire pod GTK+2.

Crossfire to graficzna gra przygodowa dla środowiska X-Window. Są
także dostępni klienci pod Windows i w Javie. Łączy cechy z kilku
gier, głównie Gauntleta i Nethacka/Morii.

Dowolna liczba graczy może się poruszać w swoich oknach, szukając
przedmiotów i walcząc z potworami. Mogą grać w kooperacji lub
przeciwko sobie w tym samym "świecie".

%package sounds
Summary:	Crossfire sounds
Summary(pl.UTF-8):	Dźwięki do Crossfire
Group:		Applications/Games

%description sounds
Some sound files and the sound server for crossfire.

%description sounds -l pl.UTF-8
Pliki dźwiękowe i serwer dźwięku dla Crossfire.

%package images
Summary:	Crossfire images
Summary(pl.UTF-8):	Obrazki do Crossfire
Group:		Applications/Games

%description images
Some images extracted from server for Crossfire.

%description images -l pl.UTF-8
Trochę obrazków wyciągniętych z serwera do Crossfire.

%prep
%setup  -q -a1
%patch0 -p1
mv -f sounds cfsounds
%if %{with images}
install -d images
cd images
tar xzf %{SOURCE2}
cd ..
%endif

%build
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--disable-alsa \
	--with-sound-dir=%{_datadir}/%{name}/sounds
%{__perl} -i -p -e 's/\#define HAVE_DMALLOC_H 1/\/\* \#undef HAVE_DMALLOC_H \*\//' common/config.h
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/%{name}/sounds}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install cfsounds/*.raw $RPM_BUILD_ROOT%{_datadir}/%{name}/sounds/
%if %{with images}
install images/bmaps.client images/crossfire.base images/crossfire.clsc \
	$RPM_BUILD_ROOT%{_datadir}/%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/crossfire-client-gtk2
%{_mandir}/man?/crossfire-client-gtk2.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/glade-gtk2
%{_datadir}/%{name}/themes

%files sounds
%defattr(644,root,root,755)
%doc cfsounds/README
%attr(755,root,root) %{_bindir}/cfsndserv*
%{_datadir}/%{name}/sounds

%if %{with images}
%files images
%defattr(644,root,root,755)
%{_datadir}/%{name}/bmaps.client
%{_datadir}/%{name}/crossfire.base
%{_datadir}/%{name}/crossfire.clsc
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossfire-client.spec,v $
Revision 1.50  2012/02/20 11:11:49  arekm
- release 2

Revision 1.49  2012/02/18 19:46:34  wiget
- adapterized

Revision 1.48  2012/02/18 17:12:43  wiget
- up to 1.60.0
- x11 and gtk 1.x clients dropped upstream

Revision 1.47  2012/02/11 11:12:07  adamg
- release 5 (rebuild against libpng-1.5)

Revision 1.46  2012/02/07 21:58:50  arekm
- release 4

Revision 1.45  2011/12/20 19:36:42  arekm
- release 3

Revision 1.44  2010/02/06 22:09:21  sparky
- BR: pkgconfig
- dropped BR: xorg-lib-libSM-devel

Revision 1.43  2010/02/06 20:58:48  arekm
- release 2

Revision 1.42  2007/05/03 10:46:24  wiget
- updated to 1.10.0

Revision 1.41  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.39  2006/09/17 16:18:21  qboosh
- BR: am,lt

Revision 1.38  2006/09/17 13:40:46  wiget
- updated to 1.9.1

Revision 1.37  2006/03/16 10:28:50  wiget
- updated to 1.9.0
- BR for modular xorg and gtk+2

Revision 1.36  2005/08/27 08:34:06  qboosh
- new-style bcond, strict internal deps

Revision 1.35  2005/08/21 08:53:26  wiget
- updated to 1.8.0 (images to 1.7.1)
- added gtk2 subpackage
- use make install
- all patches applied upstream

Revision 1.34  2005/03/26 22:36:30  darekr
- BR: perl -> perl-base

Revision 1.33  2004/10/28 09:58:30  paladine
- "GTK+" unification (hope thats all)

Revision 1.32  2004/05/27 13:48:27  jajcus
- Release: 3
- various fixes from Crossfire CVS (see patch commit-logs for details)
- --enable-debug when building with --debug

Revision 1.31  2004/05/06 07:32:55  jajcus
- Release: 2 (no signals that it doesn't work on PPC or SPARC)

Revision 1.30  2004/04/30 07:38:10  jajcus
- trying to fix build on big endian machines

Revision 1.29  2004/04/26 13:42:57  jajcus
- images version 1.7.0

Revision 1.28  2004/04/26 13:01:32  jajcus
- Version: 1.7.0
- workaround for the broken build system in this version (cannot rebuild configure) to disable dmalloc

Revision 1.27  2004/04/16 13:42:04  jajcus
- Version: 1.6.1

Revision 1.26  2003/08/06 16:52:02  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.25  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.24  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/08 10:33:13  qboosh
- use http for sources from sourceforge

Revision 1.21  2003/03/10 14:03:54  wiget
- added dmalloc.patch (allow disabling dmalloc support)
- disable dmalloc support
- added errno.patch (detect errno.h and include if present)

Revision 1.20  2003/03/03 18:33:07  jajcus
- Version: 1.5.0

Revision 1.19  2003/01/18 22:45:27  juandon
- removed two lines with define

Revision 1.18  2002/12/05 17:46:43  wiget
- updated to 1.4.0

Revision 1.17  2002/10/07 10:32:19  qboosh
- BR: autoconf

Revision 1.16  2002/08/06 10:24:20  kloczek
- fix %files in sounds subpackage.

Revision 1.15  2002/08/04 09:52:49  kloczek
- fixed %files list in %doc in sound subpackage.

Revision 1.14  2002/08/01 20:28:11  qboosh
- added missing pl descriptions

Revision 1.13  2002/07/19 16:24:01  jajcus
- do not run aclocal (aclocal.m4 included in the sources is not autogenerated)
- --enable-sdl removed (this was disabling sdl support, exactly the same way as --disable-dsdl)

Revision 1.12  2002/07/19 14:12:01  wiget
- use sounds from project page
- added -images subpackages
- added sdl.patch for fixing SDL_image detection
- added -common subpackage with documentation and shared dir

Revision 1.11  2002/07/19 13:57:48  jajcus
- Version: 1.3.0
- BuildRequires: SDL-devel & SDL_image-devel
- merge from DEVEL

Revision 1.10  2002/04/25 16:07:23  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/13 14:42:20  qboosh
- pl translations

Revision 1.5  2001/05/14 16:50:09  jajcus
STB
- do not fix sound paths. It is already done in makefiles
- change sounds directory as "sound" file will be created by makefile
- BuildRequires: perl
- Version: 1.0.0

Revision 1.4  2001/04/17 09:03:09  jajcus
- Version: 0.98.0

Revision 1.3  2001/02/02 15:29:07  jajcus
- sounds added (as subpackage)
- gtk subpackage does not require main subpackage any more

Revision 1.2  2001/01/29 11:42:21  jajcus
- def_keys added to doc

Revision 1.1  2001/01/29 11:33:13  jajcus
- new spec
